<?php

namespace ArchiElite\Coinbase\Library\Resources;

use ArchiElite\Coinbase\Library\Resources\Operations\CreateMethodTrait;
use ArchiElite\Coinbase\Library\Resources\Operations\DeleteMethodTrait;
use ArchiElite\Coinbase\Library\Resources\Operations\ReadMethodTrait;
use ArchiElite\Coinbase\Library\Resources\Operations\SaveMethodTrait;
use ArchiElite\Coinbase\Library\Resources\Operations\UpdateMethodTrait;

class Checkout extends ApiResource implements ResourcePathInterface
{
    use ReadMethodTrait;
    use CreateMethodTrait;
    use UpdateMethodTrait;
    use DeleteMethodTrait;
    use SaveMethodTrait;

    /**
     * @return string
     */
    public static function getResourcePath()
    {
        return 'checkouts';
    }
}
