<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model;

use ArchiElite\Iyzipay\Iyzipay\IyzipayResource;
use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\IyzipayResourceMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;

class ApiTest extends IyzipayResource
{
    public static function retrieve(Options $options)
    {
        $rawResult = parent::httpClient()->get($options->getBaseUrl() . '/payment/test');

        return IyzipayResourceMapper::create($rawResult)->jsonDecode()->mapResource(new IyzipayResource());
    }
}
