<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model;

use ArchiElite\Iyzipay\Iyzipay\IyzipayResource;
use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\CrossBookingToSubMerchantMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;
use ArchiElite\Iyzipay\Iyzipay\Request\CreateCrossBookingRequest;

class CrossBookingToSubMerchant extends IyzipayResource
{
    public static function create(CreateCrossBookingRequest $request, Options $options)
    {
        $rawResult = parent::httpClient()->post($options->getBaseUrl() . '/crossbooking/send', parent::getHttpHeaders($request, $options), $request->toJsonString());

        return CrossBookingToSubMerchantMapper::create($rawResult)->jsonDecode()->mapCrossBookingToSubMerchant(new CrossBookingToSubMerchant());
    }
}
