<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model\Iyzilink;

use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\Iyzilink\IyziLinkRetrieveProductMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;
use ArchiElite\Iyzipay\Iyzipay\Request;
use ArchiElite\Iyzipay\Iyzipay\RequestStringBuilder;

class IyziLinkRetrieveProduct extends IyziLinkRetrieveProductResource
{
    public static function create(Request $request, Options $options, $token)
    {
        $uri = $options->getBaseUrl() . '/v2/iyzilink/products/' . $token . RequestStringBuilder::requestToStringQuery($request, null);
        $rawResult = parent::httpClient()->getV2($uri, parent::getHttpHeadersV2($uri, null, $options));

        return IyziLinkRetrieveProductMapper::create($rawResult)->jsonDecode()->mapIyziLinkRetriveProduct(new IyziLinkRetrieveProduct());
    }
}
