<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model;

use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\SubMerchantPaymentItemMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;
use ArchiElite\Iyzipay\Iyzipay\Request\SubMerchantPaymentItemUpdateRequest;

class SubMerchantPaymentItemUpdate extends SubMerchantPaymentItemResource
{
    public static function create(SubMerchantPaymentItemUpdateRequest $request, Options $options)
    {
        $rawResult = parent::httpClient()->put($options->getBaseUrl() . '/payment/item', parent::getHttpHeaders($request, $options), $request->toJsonString());

        return SubMerchantPaymentItemMapper::create($rawResult)->jsonDecode()->mapSubMerchantPaymentItem(new SubMerchantPaymentItemUpdate());
    }
}
