<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request\Subscription;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;

class RetrieveSubscriptionCreateCheckoutFormRequest extends Request
{
    private $checkoutFormToken;

    public function getCheckoutFormToken()
    {
        return $this->checkoutFormToken;
    }

    public function setCheckoutFormToken($checkoutFormToken)
    {
        $this->checkoutFormToken = $checkoutFormToken;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject(parent::getJsonObject())
            ->getObject();
    }
}
