<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request\Subscription;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;

class SubscriptionCancelRequest extends Request
{
    private $subscriptionReferenceCode;

    public function setSubscriptionReferenceCode($subscriptionReferenceCode)
    {
        $this->subscriptionReferenceCode = $subscriptionReferenceCode;
    }

    public function getSubscriptionReferenceCode()
    {
        return $this->subscriptionReferenceCode;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject(parent::getJsonObject())
            ->add('subscriptionReferenceCode', $this->getSubscriptionReferenceCode())
            ->add('locale', $this->getLocale())
            ->add('conversationId', $this->getConversationId())
            ->getObject();
    }
}
