<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request\Subscription;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;
use ArchiElite\Iyzipay\Iyzipay\Model\Customer;

class SubscriptionCreateCustomerRequest extends Request
{
    private $customer;

    public function __construct()
    {
        $this->customer =  new Customer();
    }

    public function getCustomer()
    {
        return $this->customer;
    }

    public function setCustomer(Customer $customer)
    {
        $this->customer = $customer;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject($this->getCustomer()->getJsonObject($this->getLocale(), $this->getConversationId()))
            ->getObject();
    }
}
