<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;

class UCSInitializeRequest extends Request
{
    private $email;
    private $gsmNumber;

    public function getGsmNumber()
    {
        return $this->gsmNumber;
    }

    public function setGsmNumber($gsmNumber)
    {
        $this->gsmNumber = $gsmNumber;
    }

    public function getEmail()
    {
        return $this->email;
    }

    public function setEmail($email)
    {
        $this->email= $email;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject(parent::getJsonObject())
            ->add('email', $this->getEmail())
            ->add('gsmNumber', $this->getGsmNumber())
            ->getObject();
    }
}
