<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model\Iyzilink;

use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\Iyzilink\IyziLinkDeleteProductMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;
use ArchiElite\Iyzipay\Iyzipay\Request;
use ArchiElite\Iyzipay\Iyzipay\RequestStringBuilder;

class IyziLinkDeleteProduct extends IyziLinkDeleteProductResource
{
    public static function create(Request $request, Options $options, $token)
    {
        $uri = $options->getBaseUrl() . '/v2/iyzilink/products/' . $token . RequestStringBuilder::requestToStringQuery($request, null);
        $rawResult = parent::httpClient()->delete($uri, parent::getHttpHeadersV2($uri, null, $options));

        return IyziLinkDeleteProductMapper::create($rawResult)->jsonDecode()->mapIyziLinkDeleteProduct(new IyziLinkDeleteProduct());
    }
}
